ruby-gnome2 (3.2.1-3) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * Move Vcs-* to salsa.debian.org
  * d/ruby-gnome2-dev.lintian-overrides: add override:
    wrong-section-according-to-package-name ruby-gnome2-dev => ruby
  * d/control: update descriptions.
  * Bump debhelper compatibility level to 11
  * Update Standards-Version to 4.1.3

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 21 Jan 2018 01:14:46 +0900

ruby-gnome2 (3.2.1-2) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * drop ruby-gtksourceview2 (Closes: #885674)
  - add libgtk2.0-dev to B-D.
  - d/p/ignored-test-modules.patch: ignore gtksourceview2 test.
  * eliminate lintian warning: unnecessary-team-upload
  * Bump Standards-Version to 4.1.2 (no changes needed)

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 29 Dec 2017 12:41:47 +0900

ruby-gnome2 (3.2.1-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 22 Nov 2017 00:01:17 +0900

ruby-gnome2 (3.2.0-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 09 Nov 2017 20:59:41 +0900

ruby-gnome2 (3.1.9-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream release.
  * d/p/check-exist-makefile-before-make.patch: removed, applied upstream.
  * d/p/fix-example-shebang-path.patch: removed, applied upstream.
  * d/p/extend-timeout-test-webkit2-gtk-web-view.patch:
    removed, applied upstream.
  * ruby-poppler migrated to GObject Introspection bindings.
  * eliminate lintian warning: unnecessary-testsuite-autopkgtest-header
  * eliminate lintian warning: priority-extra-is-replaced-by-priority-optional
  * remove Arnaud Cornet <acornet@debian.org> from Uploaders: (Closes: #876952)
    Requested by MIA team.  Thank you for your previous works, Arnaud Cornet.
  * Bump Standards-Version to 4.1.1 (no changes needed)

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 20 Oct 2017 13:43:49 +0900

ruby-gnome2 (3.1.8-7) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Remove myself from Uploaders:

  [ HIGUCHI Daisuke (VDR dai) ]
  * ruby-gdk3 depends gir1.2-gtk-3.0 (Closes: #874365)
  * ruby-{gtksourceview2,pango,poppler}: depends more ruby packages.
  * arrange dependencies.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 06 Sep 2017 12:19:59 +0900

ruby-gnome2 (3.1.8-6) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * Added myself to Uploaders.
  * d/tests/control: Depends: libxml2-utils for xmllint test
  * Bump debhelper compatibility level to 10.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 08 Aug 2017 22:44:12 +0900

ruby-gnome2 (3.1.8-5) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * really provide gemspec files. (Closes: #757464).
    - d/control: set X-DhRuby-Root header for Arch:all.
    - d/p/do-not-run-dependency-check.patch: remove dependency-check/Rakefile
      from gemspec.
    - d/ruby-{atk,clutter-gdk,clutter-gtk,clutter,gdk-pixbuf2,gdk3,
      gtksourceview3,rsvg2,webkit2-gtk}.install: include gemspec file.
    - ruby-{clutter-gdk,clutter-gtk,gdk-pixbuf2,gtksourceview3}.rb: remove.
  * d/p/ruby-gnome2-gemspecs.patch: refresh patch.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 30 Jul 2017 21:15:30 +0900

ruby-gnome2 (3.1.8-4) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * Brown paper bag release.
  * d/ruby-pango.examples: remove no examples.
  * d/tests/control: set Restrictions: as allow-stderr.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 30 Jul 2017 12:38:09 +0900

ruby-gnome2 (3.1.8-3) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * use dh_ruby.
    - d/build: remove due to using dh_ruby.
    - d/control: set XS-Ruby-Versions, XB-Ruby-Versions and X-DhRuby-Root
      headers.
    - d/control: move Package: ruby-glib2 up for first building.
    - d/control: update B-D: for dh_ruby multi-binary layout.
    - d/p/ruby-gnome2-gemspecs.patch: provide gemspec files (Closes: #757464).
      Created by Antonio Terceiro <terceiro@debian.org>, Thank you!
    - d/ruby-{cairo-gobject,gio2,glib2,gobject-introspection,gstreamer,gtk2,
      gtk3,gtksourceview2,pango,poppler}.install: add gemspec file.
    - d/rules: use dh_ruby instead of d/build.
      Suggested by Antonio Terceiro <terceiro@debian.org>, Thank you!
  * d/tests/run-test: ignore quilt exit 2.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 29 Jul 2017 21:02:36 +0900

ruby-gnome2 (3.1.8-2) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/build: eliminate build log check warning: compiler-flags-hidden.
  * eliminate lintian warning: example-wrong-path-for-interpreter
    - d/p/patches/fix-example-shebang-path.patch: new file.
  * support autopkgtest-pkg-ruby.
    - d/control: add Testsuite: header.
    - d/tests/control: new file.
    - d/tests/run-test: new file.
    - d/p/check-exist-makefile-before-make.patch: new file.
    - d/p/extend-timeout-test-webkit2-gtk-web-view.patch: new file.
    - d/p/ignored-test-modules.patch: new file.
    - d/p/do-not-run-dependency-check.patch: new file.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 24 Jul 2017 20:12:40 +0900

ruby-gnome2 (3.1.8-1) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream release.
  * d/p/do-not-use-native-package-installer.patch: refresh patch.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 19 Jul 2017 19:02:19 +0900

ruby-gnome2 (3.1.6-1) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream release (Closes: #865644)
  * Refresh patches.
  * glib2: do no use native-package-installer
    - d/p/do-not-use-native-package-installer.patch: new file.
  * ruby-atk and rsvg2 migrated to gobject introspection
  * gdk3: remove unused shlibs:Depends
  * atk,gdk3,pango,rsvg2: add more libraries
  * eliminate lintian warning: not-binnmuable-any-depends-all
  * Arch:all packages are marked as Multi-Arch: foreign
  * drop ruby-webkit-gtk. new package ruby-webkit2-gtk (Closes: #866647)
  * Bump Standards-Version to 4.0.0 (no changes needed)

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 09 Jul 2017 19:04:20 +0900

ruby-gnome2 (3.1.0-1) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream release.
  * Refresh patches.
  * Add ruby-clutter-gdk package.
    - ruby-clutter-gtk depends ruby-clutter-gdk.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 20 Nov 2016 13:25:09 +0900

ruby-gnome2 (3.0.9-2) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * Upload to unstable.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 24 Oct 2016 19:40:15 +0900

ruby-gnome2 (3.0.9-1) experimental; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream release (Closes: #827694)
  * Refresh patches.
  * ruby-gdk-pixbuf2 and ruby-gtksourceview3 migrated upstream to gobject
    introspection, so become `Arch: all` and depend gobject introspection.
  * update ruby-gdk-pixbuf2 relation to allow for binNMUs.
  * add more glib2 and webkit-gtk libraries.
  * d/p/reject_gvlc.patch: new file, do not build ruby-gvlc.
  * d/p/0001-poppler-remove-needless-POPPLER_TYPE_ORIENTATION-bin.patch:
    dropped, already applied upstream.
  * remove goocanvas stuff due to upstream removal.
  * update Homepage field due to domain change.
  * migrate to automatic dbg package.
  * Bump Standards-Version to 3.9.8 (no changes needed)

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 14 Oct 2016 09:51:04 +0900

ruby-gnome2 (2.2.5-5) unstable; urgency=medium

  * Team upload.
  * Refresh patches
  * Drop ruby-clutter-gstreamer (Closes: #805804)
  * Apply patch to fix FTBFS with poppler 0.39.0.
    Thanks to Pino Toscano <pino@debian.org> (Closes: #812677)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 01 May 2016 21:11:21 +0000

ruby-gnome2 (2.2.5-4) unstable; urgency=medium

  * Team upload.

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9.
  * Use https:// in Vcs-* fields.
  * Bump Standards-Version to 3.9.7 (no changes needed).

  [ Christian Hofstaedtler ]
  * Unbreak ruby-gtk3 - ruby-gdk3 relation to allow for binNMUs.
  * Run dh_ruby_fixdepends to get OR-ed libruby depends.

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 04 Mar 2016 16:19:27 +0100

ruby-gnome2 (2.2.5-3) unstable; urgency=medium

  * Team upload.
  * Fix arch-indep-only FTBFS.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #804641)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 15 Nov 2015 17:21:16 +0000

ruby-gnome2 (2.2.5-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Henriksson ]
  * Add debian/patches/no-vte.patch
  * Drop ruby-vte{,3,-dbg,3-dbg} packages (Closes: #788024)
    - nothing seems to use these and old vte is up for removal.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 09 Nov 2015 13:06:53 +0000

ruby-gnome2 (2.2.5-1) unstable; urgency=medium

  * New upstream release
  * fix-Gst-init.patch: dropped, already applied upstream
  * debian/copyright: split common license into its own paragraph
  * debian/watch: point to the github repository
  * debian/copyright: point Source: to github repository
  * ruby-gdk3: migrated upstream to gobject introspection, so becomes
    `Architecture: all`
    - ruby-gdk3-dbg package dropped
  * ruby-gtk3 and others: review package dependencies (Closes: #788875)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 17 Jul 2015 11:16:35 -0300

ruby-gnome2 (2.2.0-5) unstable; urgency=medium

  * Rebuild against Ruby 2.1 only

 -- Paul van Tilburg <paulvt@debian.org>  Sat, 28 Jun 2014 17:08:50 +0200

ruby-gnome2 (2.2.0-4) unstable; urgency=medium

  * Drop the ruby-webkit-gtk2 package, it has no reverse depends and
    gir1.2-webkit-1.0 is about to be deprecated (closes: #752846)

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 27 Jun 2014 21:49:06 +0200

ruby-gnome2 (2.2.0-3) unstable; urgency=medium

  * Team upload.
  * Add missing gio2 libraries. Thanks HIGUCHI Daisuke for the patch
    (Closes: #750523)

 -- Cédric Boutillier <boutil@debian.org>  Tue, 17 Jun 2014 23:24:25 +0200

ruby-gnome2 (2.2.0-2) unstable; urgency=medium

  * debian/copyright:
    - Rework in DEP-5 format
    - Add separate license for goocanvas/sample/* (closes: #747405)

 -- Paul van Tilburg <paulvt@debian.org>  Sat, 10 May 2014 00:06:41 +0200

ruby-gnome2 (2.2.0-1) unstable; urgency=medium

  * New upstream release
  * Merge changes from Ubuntu's ruby-gnome2 2.1.0-1ubuntu1, fixing ruby2.1
    builds, courtesy of Matthias Klose <doko@ubuntu.com> (closes: #744809)
  * debian/build: 
    - add DESTDIR fix for Ruby 2.1
    - reconditionalize to make an exception for Ruby 2.0 instead of 2.1
  * debian/control: add packages ruby-clutter*, ruby-webkit-gtk*
  * debian/ruby-*.install: remove ruby1.8/ruby1.9.1 install paths
  * debian/ruby-{clutter,clutter-gstreamer,clutter-gtk}.{examples,install},
    debian/ruby-{webkit-gtk,webkit-gtk2}.{examples,install}: added
  * debian/patches: add fix-Gst-init.patch 

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 06 May 2014 15:31:04 +0200

ruby-gnome2 (2.1.0-1) unstable; urgency=low

  [ Pino Toscano ]
  * Remove uneeded build dependency on libdrm-dev (Closes: #672137)

  [ Antonio Terceiro ]
  * update changelog

  [ Jérémy Bobbio ]
  * Fix typo in ruby-poppler package descriptions (Closes: #703152)

  [ Cédric Boutillier ]
  * Imported Upstream version 2.0.2
  * drop transitional packages (closes: #735702)
  * drop ruby-goocanvas until goocanvas-2.0 is available
  * add new packages
  * refresh Fail-the-build-if-any-subpackage-fails
  * drop support for ruby1.8, build for ruby2.0 (closes: #735661)

  [ Antonio Terceiro ]
  * New upstream release (closes: #710607, #734953)
  * don't hardcode Ruby versions, use `dh_ruby --print-supported` instead

  [ Paul van Tilburg ]
  * debian/control:
    - Bump standards version to 3.9.5; no changes needed
    - Add some missing build-depends (libvte-dev, libgirepository1.0-dev
      and ruby-pkg-config)
    - Change depend of ruby-gnome2-dev on ruby1.8-dev into ruby-all-dev
  * debian/rules: update examples that should be chmod -x
  * debian/*.install: update .so file install paths to match new multi-arch
    install locations
  * debian/ruby-gstreamer.install: add some libraries that were not installed

 -- Paul van Tilburg <paulvt@debian.org>  Sat, 15 Feb 2014 13:21:40 +0100

ruby-gnome2 (1.1.3-2) unstable; urgency=low

  * Upload to fix some missing libraries.
  * debian/*.install: add some libraries that were not installed by the
    previous upload.
  * debian/patches: removed patch Fix_erroneous_load_of_vte_deprecated  
    that just removed a reference to a library that just didn't get installed.

 -- Paul van Tilburg <paulvt@debian.org>  Sun, 06 May 2012 14:38:38 +0200

ruby-gnome2 (1.1.3-1) unstable; urgency=low

  * New upstream release! (Closes: #662013, #665608)
  * debian/control:
    - Bumped standards version to 3.9.3; no changes required.
    - Changed build-depend on libpng12-dev to libpng-dev.  (Closes: #662496)
    - Set the priority of all lib*-ruby packages to "extra".
  * debian/patches:
    - Added the previously single-debian-patch as
      Fail-the-build-if-any-subpackage-fails.
    - Added patch Fix_erroneous_load_of_vte_deprecated. (Closes: #666986)
  * debian/ruby-gstreamer.install: gst.so is now called gstreamer.so.
  * debian/rules:
    - Added hardening flags via a dh_auto_configure override as per
      http://wiki.debian.org/HardeningWalkthrough (Closes: #655415)
  * debian/source/local-options: set "unapply-patches".
  * debian/source/options, debian/source/patch-header: removed, this is
    no longer a single-debian-patch source package.

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 04 May 2012 20:39:37 +0200

ruby-gnome2 (1.0.3-1) unstable; urgency=low

  [ Antonio Terceiro ]
  * New upstream release (Closes: #642024)
  * Build-depend on libjpeg-dev instead of libjpeg62-dev (Closes: #644804)
  * Drop Debian-only patch that was breaking stuff (Closes: #639398)
  * Remove debian/source/options with single-debian-patch

  [ Olivier Sallou ]
  * Do not uncompress examples (Closes: #593325)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 06 Nov 2011 09:10:07 -0200

ruby-gnome2 (1.0.0-1) unstable; urgency=low

  * New upstream version (Closes: #631533)
  * Source packages adapted according to the new Ruby policy:
    - Install to /usr/lib/ruby/vendor_ruby
    - Build for both ruby1.8 and ruby1.9.1 (Closes: #550806)
    - Migrated to pkg-ruby-extras git repos. Changed the Vcs-* fields in
      debian/control accordingly.
  * Moved Arnaud Cornet to Uploaders: and pkg-ruby-extras team to Maintainer:
  * debian/watch: changed to use QA's sf.net redirector
  * The following packages were dropped because they were deprecated by
    upstream:
    - libart2-ruby
    - libart2-ruby1.8
    - libart2-ruby1.8-dbg
    - libgnomecanvas2-ruby
    - libgnomecanvas2-ruby1.8
    - libgnomecanvas2-ruby1.8-dbg
    - libgnome2-ruby
    - libgnome2-ruby1.8
    - libgnome2-ruby1.8-dbg
    - libgconf2-ruby
    - libgconf2-ruby1.8
    - libgconf2-ruby1.8-dbg
    - libglade2-ruby
    - libglade2-ruby1.8
    - libglade2-ruby1.8-dbg
    - libgtkglext1-ruby
    - libgtkglext1-ruby1.8
    - libgtkglext1-ruby1.8-dbg
    - libgnomevfs2-ruby (Closes: #583901)
    - libgnomevfs2-ruby1.8
    - libgnomevfs2-ruby1.8-dbg
    - libpanel-applet2-ruby
    - libpanel-applet2-ruby1.8
    - libpanel-applet2-ruby1.8-dbg
  * The gtkmozembed binding packages were dropped because gtkmozembed itself
    was dropped from xulrunner-dev (Closes: #631040). The packages are:
    - libgtk-mozembed-ruby
    - libgtk-mozembed-ruby1.8
    - libgtk-mozembed-ruby1.8-dbg
  * The following Build dependencies were dropped because they were only
    needed to build some of to the above mentioned dropped packages (thanks to
    Michal Suchanek for spotting some of them):
    - libglade2-dev
    - libpanel-applet2-dev
    - libgnomeui-dev
    - libgtkglext1-dev
    - xulrunner-dev
  * All the remaining packages were renamed from libfoo-ruby* to ruby-foo, and
    also renamed according to the upstream name.
    Transitional packages were added for all renamed packages.
  * Standards-Version bumped to 3.9.2. No changes required.
  * Added ruby-pkg-config as a dependency of ruby-gnome2-dev. Thanks to
    Michael Suchanek for the suggestion.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 30 Jul 2011 20:48:33 -0700

ruby-gnome2 (0.19.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/poppler-0.15.patch
    - Add support for poppler >= 0.15. Patch cherry-picked from upstream SVN
      trunk. (Closes: #618960)

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Jun 2011 12:54:40 +0200

ruby-gnome2 (0.19.3-2) unstable; urgency=low

  * Add libjpeg62-dev build-dep (Closes: #577912)
  * Bump Standards-Version, no change.
  * Switch to dpkg-source 3.0 (quilt) format, remove now useless build and
    clean target in debian/rules. Remove quilt build-dependency.

 -- Arnaud Cornet <acornet@debian.org>  Thu, 15 Apr 2010 20:19:10 +0100

ruby-gnome2 (0.19.3-1) unstable; urgency=low

  * New upstream release
  * Move glandium's fix of rbgtkmozembed-init.cpp in greversionrange.patch.
  * Drop libgtkhtml2-ruby (Closes: #549030)

 -- Arnaud Cornet <acornet@debian.org>  Mon, 19 Oct 2009 22:47:32 +0100

ruby-gnome2 (0.19.1-1.1) unstable; urgency=low

  * Non-maintainer upload for transition to xulrunner 1.9.1.
    (Closes: #548680)
  * debian/rules: Use dh_xulrunner
  * debian/control: Build-depend on a xulrunner-dev that provides dh_xulrunner.
  * gtkmozembed/src/rbgtkmozembed-init.cpp: Tighten the GREVersionRange.

 -- Mike Hommey <glandium@debian.org>  Sat, 10 Oct 2009 16:12:53 +0200


ruby-gnome2 (0.19.1-1) unstable; urgency=low

  * New upstream release (Closes: #519786, #542126).
  * Drop gnomeprint bindings (Closes: #542558).
  * Drop gtksourceview1 bindings (Closes: #532902).
  * Add libdrm-dev build depend.
  * Refresh patches.
  * Fixed typo in description.
  * Build depend on debhelper (>= 7.0.50~) because we use overrides.
  * Add README.source.
  * Bump Standards-Version, no change needed.
  * Add ruby-gnome2 conflicts for deprecated bindings.

 -- Arnaud Cornet <acornet@debian.org>  Fri, 21 Aug 2009 01:33:02 +0200

ruby-gnome2 (0.19.0-3) unstable; urgency=low

  * panel-applet2: install panelapplet2_main.so (Closes: #535542).

 -- Arnaud Cornet <acornet@debian.org>  Thu, 16 Jul 2009 13:02:59 +0200

ruby-gnome2 (0.19.0-2) unstable; urgency=low

  * debian/rules: Remove binary rule and add % rule (Closes: #535677).

 -- Arnaud Cornet <acornet@debian.org>  Sat, 04 Jul 2009 13:05:56 +0200

ruby-gnome2 (0.19.0-1) unstable; urgency=low

  [ Arnaud Cornet ]
  * Bump compat to 7, build depend on debhelper 7, and switch to
    debhelper 7 in debian/rules. Drop build depend on ruby-pkg-tools.
  * Change Section to ruby.
  * Add debugging symbols in -dbg packages (Closes: #494559).
  * Add ruby-gnome2-dev package and move development files there (Closes:
    #512845).
  * Bump standards version (no change needed).

  [ Ryan Niebur ]
  * fix watch file

  [ Arnaud Cornet ]
  * New upstream release (Closes: #534483).
  * Remove xulrunner-1.9.patch now upstream.
  * Remove gtk_fs_error.patch now upstream.
  * Depend on poppler-glib >= 0.8.0.
  * Refresh patches.

 -- Arnaud Cornet <acornet@debian.org>  Fri, 26 Jun 2009 00:12:52 +0200

ruby-gnome2 (0.18.1-1) unstable; urgency=low

  [ Arnaud Cornet ]
  * New upstream release (Closes: #504581).
  * Drop libgda-ruby dropped by upstream. Add Conflict entry in libgtk2-ruby.
  * Remove patches that have gone upstream:
  -fix-object-allocation-during-gc-phase.patch
  -destroy-object-on-weak-notify.diff
  -maincontext-value.patch
  -holder-free-memory-leak.diff
  * Add libgoocanvas-ruby* and libgtksourceview2-ruby* packages.

  [ Lucas Nussbaum ]
  * New patch: gtk_fs_error. Fixes #508272, #508788.
    Imported from http://ruby-gnome2.svn.sourceforge.net/viewvc/ruby-gnome2/ruby-gnome2/trunk/gtk/src/rbgtkfilechooser.c?r1=3262&r2=3440

 -- Arnaud Cornet <acornet@debian.org>  Wed, 25 Feb 2009 00:52:54 +0100

ruby-gnome2 (0.17.0~rc1-6) unstable; urgency=low

  * Add patch maincontext-value.patch fixes a crash triggered at least by
    kazehakase (Closes: #490305).
  * Add patch holder-free-memory-leak.diff fixes large memory leak (Closes:
    #498558).

 -- Arnaud Cornet <acornet@debian.org>  Thu, 18 Sep 2008 10:56:46 +0200

ruby-gnome2 (0.17.0~rc1-5) unstable; urgency=low

  * Add patch destroy-object-on-weak-notify.diff (Closes: #493063).
  * Build depend on libgda2-dev (>= 1.2.4) rather than the 1.2.4-1 revision.

 -- Arnaud Cornet <acornet@debian.org>  Tue, 26 Aug 2008 23:11:02 +0200

ruby-gnome2 (0.17.0~rc1-4) unstable; urgency=low

  [ Paul van Tilburg ]
  * Updated debian/watch with a regexp fix and inclusion of RC releases.

  [ Antonio Terceiro ]
  * debian/control: added myself in Uploaders.
  * Add patch debian/patches/fix-object-allocation-during-gc-phase.patch to
    prevent object allocation during garbage collection that triggers a crash
    (Closes: #494515).

 -- Arnaud Cornet <acornet@debian.org>  Tue, 26 Aug 2008 22:55:28 +0200

ruby-gnome2 (0.17.0~rc1-3) unstable; urgency=low

  * Install rbgcompat.h in libglib2-ruby1.8 (Closes: #489088).

 -- Arnaud Cornet <acornet@debian.org>  Thu, 03 Jul 2008 20:08:43 +0200

ruby-gnome2 (0.17.0~rc1-2) unstable; urgency=low

  * Build and ship gstreamer module (libgst-ruby1.8, and libgst-ruby
    packages).

 -- Arnaud Cornet <acornet@debian.org>  Sun, 22 Jun 2008 12:29:45 +0200

ruby-gnome2 (0.17.0~rc1-1) unstable; urgency=low

  * Build-depend on xulrunner-dev instead of libxul-dev.
    (Closes: #480817). Add xulrunner-1.9.patch to build against it.
  * Drop patches libglade2-nil-source.patch glib2.14.patch poppler-0.6.patch
    poppler-0.7.patch window-warning.patch CVE-2007-6183.patch
    glib-mkenums.patch now upstream.
  * Add build-depend on libgda2-dev to build libgda bindings. Add
    debian/libgda-ruby1.8.install debian/libgda-ruby.examples, and
    libgda-ruby1.8 and libgda-ruby packages.
  * debian/rules: do not build gstreamer bindings for the time beeing.
  * Fix debian/rules to comply with new DEB_RUBY_LIBDIR semantics,
    depend on ruby-pkg-tools (>= 0.14) (Closes: #486488).

 -- Arnaud Cornet <acornet@debian.org>  Tue, 17 Jun 2008 22:17:00 +0200

ruby-gnome2 (0.16.0-12) unstable; urgency=medium

  [ Michael Schutte ]
  * Added poppler-0.7.patch taken from upstream SVN revision 2865 to build
    with newest version of libpoppler-glib in unstable, closes: #482242.
  * Added myself to Uploaders.

  [ Arnaud Cornet ]
  * Bless patch.

 -- Arnaud Cornet <acornet@debian.org>  Sat, 31 May 2008 12:49:13 +0200

ruby-gnome2 (0.16.0-11) unstable; urgency=low

  * Add Vcs-* fields.
  * Add glib-mkenums.patch, fixes generated C code to be cleaner
    (Closes: #471610).
  * Fix GTK -> GTK+ spelling in description.
  * Bump standards version (no change needed).
  * Fix clean target: do not ignore errors.

 -- Arnaud Cornet <acornet@debian.org>  Wed, 19 Mar 2008 23:30:35 +0100

ruby-gnome2 (0.16.0-10~lenny1) testing-security; urgency=high

  * Backport to testing.

 -- Arnaud Cornet <acornet@debian.org>  Sat, 01 Dec 2007 14:51:28 +0100

ruby-gnome2 (0.16.0-10) unstable; urgency=high

  * Use new Homepage dpkg-tag.
  * Included CVE-2007-6183.patch to fix format string vulnerability
    in rbgtkmessagedialog.c which might lead to arbitrary code
    execution (Closes: #453689). Thanks to Nico Golde for the fix.

 -- Arnaud Cornet <acornet@debian.org>  Fri, 30 Nov 2007 08:57:32 +0100

ruby-gnome2 (0.16.0-9) unstable; urgency=low

  * Add debian/patches/poppler-0.6.patch that basically sync poppler/ with
    ruby-gnome2 svn HEAD so that newer poppler are supported
    (Closes: #453169).
  * Actually ship libpoppler-glib-ruby packages.

 -- Arnaud Cornet <acornet@debian.org>  Fri, 30 Nov 2007 00:28:59 +0100

ruby-gnome2 (0.16.0-8) unstable; urgency=low

  * Add window-warning.patch (Closes: #446602).
  * Rebuild will change depend from libvte4 to libvte9
  (Closes: #444679).

 -- Arnaud Cornet <acornet@debian.org>  Mon, 22 Oct 2007 21:33:23 +0200

ruby-gnome2 (0.16.0-7) unstable; urgency=low

  * Update glib2.14.patch to prevent ftbs on some 32bits archs.

 -- Arnaud Cornet <acornet@debian.org>  Mon, 27 Aug 2007 13:36:38 +0200

ruby-gnome2 (0.16.0-6) unstable; urgency=low

  * Add glib22.14.patch to build against recent glibs (Closes: #439455).
  * Add buildsys-abort-on-error.patch to stop building as soon as the
    build of one package fails.

 -- Arnaud Cornet <acornet@debian.org>  Sat, 25 Aug 2007 12:43:14 +0200

ruby-gnome2 (0.16.0-5) unstable; urgency=low

  * Pass along LDFLAGS and CFLAGS (Closes: #434451, #434501).
  * Update my mail adress.

 -- Arnaud Cornet <acornet@debian.org>  Mon, 20 Aug 2007 14:34:21 +0200

ruby-gnome2 (0.16.0-4) unstable; urgency=low

  * Add libglade2-nil-source.patch (Closes: #428680).

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Mon, 09 Jul 2007 10:33:40 +0200

ruby-gnome2 (0.16.0-3) unstable; urgency=low

  * Move mkmf-gnome2.rb back in libglib2-ruby1.8, add pkg-config.rb in
    libglib2-ruby1.8 (Closes: #427992).

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Wed, 06 Jun 2007 11:46:52 +0200

ruby-gnome2 (0.16.0-2) unstable; urgency=low

  [ Paul van Tilburg ]
  * Changed all packages to priority 'optional'.  Never knew why
    it was 'extra', really.

  [ Arnaud Cornet ]
  * Add some conflicts/depends to allow proper replacement of older
    ruby-gnome2. (Closes: #426497, #426498, #426499, #426500).
  * Indent "Homepage" line properly in control file.

  [ Paul van Tilburg ]
  * Added more conflicts/depends, one for every lib<foo>-ruby package that
    existed before 0.16.0 and is now replaced by a lib<foo>-ruby1.8 package.
  * Remove suggest on libgnome2-ruby for libglade2-ruby1.8, only the
    dummy packages should do this.
  * Removed the unnecessary build-depend on libgstreamer-plugins0.8-dev.
  * Added missing depend on libgtk2-ruby, required by libgtk-mozembed-ruby.
    (Closes: #407374.)
  * Added patch data-from-selection by Philipp Kern to enable reading
    the data out of the selection. (Closes: #383309.)

 -- Paul van Tilburg <paulvt@debian.org>  Wed, 30 May 2007 22:09:15 +0200

ruby-gnome2 (0.16.0-1) unstable; urgency=low

  [ Arnaud Cornet ]
  * New upstream release (Closes: #405434).
  * CDBSize. Use team class.
  * Have -ruby1.8 packages.
  * Remove patches/references-fixes.patch which is merged upstream.
  * Remove gtkmozembed-extconf.patch, xulrunner is supported upstream.
  * Remove command-line-args.patch now upstream.
  * Refreshed other patches that applied without modification.
  * Set paul and me as maintainers.
  * Format the Homepage entry correctly.
  * Removed ruby-gstreamer0.8 (Closes: #422850).
  * Remove libgda2-ruby* packages.
  * Drop README.Debian now that we don't compress .rb files.
  * Do not use the uploaders rules anymore.
  * Stricter vte build-dep (Closes: #384992).

  [ Paul van Tilburg ]
  * Added build-depends on cdbs and ruby-pkg-tools.
  * Added replace and conflicts for libgtk-trayicon-ruby{,1.8}
    now implemented by libgtk-ruby{,1.8}.
  * Added a README.Debian file for libgtk2-ruby, explaining the
    transition from libgtk-trayicon-ruby.
  * Moved the examples from the -ruby1.8 to the -ruby packages.
  * This release, actually several upstream releases before this
    one, closes: #338869, #338871.
  * Use the build-depend on libpng12-dev instead of libpng-dev.

  [ Arnaud Cornet ]
  * Create a shebang patch to shut lintian up.
  * Add gtkmozembed-rpath patch, fix rpath in libgtk-mozembed shared
    object.

  [ Paul van Tilburg ]
  * Made myself a co-maintainer (added myself to Uploaders).

 -- Paul van Tilburg <paulvt@debian.org>  Thu, 24 May 2007 23:09:52 +0200

ruby-gnome2 (0.15.0-1.1) unstable; urgency=medium

  * Non-maintainer upload to fix backwards compatibility problem.
  * Added debian/patches/command-line-args.patch, taken from upstream's CVS,
    as suggested by Markus Koller.  (Closes: #384756).

 -- Margarita Manterola <marga@debian.org>  Sat,  9 Sep 2006 18:04:44 -0300

ruby-gnome2 (0.15.0-1) unstable; urgency=low

  [Dafydd Harries]

  * New upstream release.
    - Adds bindings for poppler, vte, and gtkmozembed.
  * Update standards version.
  * Add libvte-ruby, libgtk-mozembed-ruby. Leave libpoppler out for now as it
    requires newer version of libpoppler than is in unstable.
  * The GtkMozEmbed binding was previously in a separate package; add
    corresponding provides/conflicts lines. Closes: #368742, #368744.
  * Add build-deps: pkg-config, libxul-dev, libvte-dev, quilt.
  * Pass --strict to extconf.rb.
  * Patch extconf.rb to exit(1) if child extconf.rb call fails in strict
    mode.
  * Add patch from Philipp Kern to enable tree view drag+drop. Closes: #383309.

  [Sjoerd Simons]

  * Use quilt as patch system.
  * debian/patches/gtkmozembed-extconf.patch:
    - Added. Don't use strange linker and compiler flags, they aren't needed
      for xulrunner.
  * debian/patches/references_fixes.patch
    - Added. Fix references from container to child widgets in several places.
    Fixes issue where a closure is called after it was destroyed (From
    upstream CVS)
  * Update the years in the Copyright file.
  * Don't copy COPYING file with examples.

 -- Dafydd Harries <daf@debian.org>  Sun, 20 Aug 2006 15:22:05 +0100

ruby-gnome2 (0.14.1-1.1) unstable; urgency=low

  * NMU for enabling Cairo support now that it is possible (temporarily
    taking care of this package).
  * Added build-depends and depends on libcairo-ruby.

 -- Paul van Tilburg <paulvt@debian.org>  Thu,  2 Feb 2006 22:45:58 +0000

ruby-gnome2 (0.14.1-1) unstable; urgency=low

  * New upstream release.
    * Fixes a bug where Gdk::Display#close causes a segfault. Closes: #323622.
  * Use --strict argument to exec_make.rb when installing in addition to when
    building, in order that installation errors be propagated.
  * Adjust paths passed to make invocation to cope with what seems to be a
    change in mkmf behaviour.
  * Apply a workaround for a crash that occurs due to duplicate type
    registration if the GnomeCanvas binding is built against a canvas earlier
    than 2.12 but runs with a canvas later than 2.12.
  * If the (currently unpackaged) gtkmozembed's binding's extconf.rb doesn't
    find the stuff it wants to build, it won't generate a Makefile that will
    clean up gtkmozembed/. Hence, clean up gtkmozembed/mkmf.log manually.

 -- Dafydd Harries <daf@debian.org>  Fri, 18 Nov 2005 15:38:29 +0000

ruby-gnome2 (0.13.0-2) unstable; urgency=low

  * Change libgstreamer0.8-dev build dependency to libgstreamer-plugins0.8-dev
    in order to enable full GStreamer support. Closes: #322681.

 -- Dafydd Harries <daf@debian.org>  Fri, 12 Aug 2005 10:30:50 +0100

ruby-gnome2 (0.13.0-1) unstable; urgency=low

  * New upstream release.

 -- Dafydd Harries <daf@debian.org>  Sun, 31 Jul 2005 16:05:36 +0100

ruby-gnome2 (0.12.0-2) unstable; urgency=low

  * Rebuild in order to update the libgda shared library dependency. Update
    the versioned build dependency on libgda-dev accordingly.

 -- Dafydd Harries <daf@muse.19inch.net>  Sun, 10 Apr 2005 01:51:36 +0100

ruby-gnome2 (0.12.0-1) unstable; urgency=low

  * New upstream release. Closes: #298395.
  * This release should fix the problems with entry completion.
    Closes: #293425.

 -- Dafydd Harries <daf@muse.19inch.net>  Wed,  9 Mar 2005 00:59:16 +0000

ruby-gnome2 (0.11.0-3) unstable; urgency=low

  * Apply Andreas Jochens' patch to fix a compilation problem with GCC 4.0.
    Closes: #289710.
  * Apply upstream fix from CVS for problems loading files with non-Unicode
    encodings. Closes: #290445.
  * Make libglade2-ruby depend on REXML, because ruby-glade-create-template
    needs it. Closes: #291915.

 -- Dafydd Harries <daf@muse.19inch.net>  Sun, 23 Jan 2005 23:08:50 +0000

ruby-gnome2 (0.11.0-2) unstable; urgency=low

  * Make the ruby-gnome2 package depend on the panel applet and GtkSourceView
    bindings.
  * Use the --strict argument to exec_make.rb.

 -- Dafydd Harries <daf@muse.19inch.net>  Sun,  2 Jan 2005 17:25:48 +0000

ruby-gnome2 (0.11.0-1) unstable; urgency=low

  * New upstream release.
  * New bindings: GnomePrint, GnomePrintUI, RSVG.

 -- Dafydd Harries <daf@muse.19inch.net>  Wed, 17 Nov 2004 00:42:17 -0500

ruby-gnome2 (0.10.1-1) unstable; urgency=low

  * New upstream release. Closes: #271794.
  * New GtkSourceView and GNOME panel applet bindings:
    - Add build dependencies on libgtksourceview-dev and libpanel-applet2-dev.
  * GStreamer binding is now for 0.8:
    - Remove libgstreamer0.6-ruby package.
    - Add libstreamer0.8-ruby package, which conflicts with the old one.
    - Update GStreamer build-dependency.
  * Call ruby1.8 rather than ruby in debian/rules and add a build-dependency
    on ruby1.8.
  * Add a watch file.

 -- Dafydd Harries <daf@muse.19inch.net>  Mon, 20 Sep 2004 23:45:49 +0100

ruby-gnome2 (0.9.1-2) unstable; urgency=low

  * Change package section to "libs", which seems more appropriate.
  * Add build-dependency on libxmu-dev, which appears to be necessary for
    building the gtkglext binding if certain set of alternative dependencies
    are installed. Fixes a FTBFS. Closes: #249103.

 -- Dafydd Harries <daf@muse.19inch.net>  Tue, 18 May 2004 12:49:12 +0100

ruby-gnome2 (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Gda::Provider#model is now commented out in upstream.
    - Patching libgda/src/rbgdaprovider.c is no longer necessary.
    - Update README.Debian to reflect this.
  * Patch for exec_make.rb to give appropriate return value on error has been
    integrated upstream.
  * debian/rules: Various files are now cleaned by upstream makefiles.
    - Cleaning them here is no longer necessary.
    - Use "distclean" rather than "clean".

 -- Dafydd Harries <daf@muse.19inch.net>  Sun, 14 Mar 2004 20:55:21 +0000

ruby-gnome2 (0.9.0-4) unstable; urgency=low

  * debian/rules: Remove redundant cleaning, clean atk/src/rbatkinits.c

 -- Dafydd Harries <daf@muse.19inch.net>  Sat, 13 Mar 2004 02:42:15 +0000

ruby-gnome2 (0.9.0-3) unstable; urgency=low

  * debian/control: Add missing '}'. Whoops.

 -- Dafydd Harries <daf@muse.19inch.net>  Tue,  9 Mar 2004 08:01:35 +0000

ruby-gnome2 (0.9.0-2) unstable; urgency=low

  * I forgot to actually add a build-dependency on libatk1.0-dev. But that's
    all right, because libgnomeui-dev depends on it (indirectly) anyhow.
  * debian/control: Make ruby-gnome2 depend on libgtkglext1, and tidy up the
    description.

 -- Dafydd Harries <daf@muse.19inch.net>  Mon,  8 Mar 2004 14:30:18 +0000

ruby-gnome2 (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * New binding for atk:
    - debian/rules: Add rule generation for atk.
    - debian/control:
      - Add build-depends on libatk1.0-dev.
      - Add stanza for libatk1-ruby.
      - libgtk2-ruby: Add dependency on libatk1-ruby.
  * libgda/src/rbgdaquarklist.c: Uncomment Gda::QuarkList#clear, since it
    seems that gda_quark_list_clear() has appeared in a libgda release.
    gda_config_get_provider_model() is not yet available though, so
    Gda::Provider#model is still commented out.
  * Add new debian/README.Debian:
    - Note that Gda::Provider#model is disabled.
    - Explain that the examples are compressed, and give an example of how
      they might be decompressed.
    - debian/rules: Install README.Debian in each package.
  * Remove .cvsignore from upstream tarball.
  * Make examples in upstream tarball non-executable.

 -- Dafydd Harries <daf@muse.19inch.net>  Mon,  8 Mar 2004 13:51:55 +0000

ruby-gnome2 (0.8.1-9) unstable; urgency=low

  * rbogl has been packaged (as libopengl-ruby), so enable the gtkglext
    binding:
    - extconf.rb: Re-enable gtkglext configration.
    - debian/rules: Uncomment rule generation and cleaning for gtkglext.
    - debian/control: New binary package libgtkglext1-ruby.

 -- Dafydd Harries <daf@muse.19inch.net>  Fri,  5 Mar 2004 22:54:50 +0000

ruby-gnome2 (0.8.1-8) unstable; urgency=low

  * debian/rules, debian/control: Rename libpango-ruby to libpango1-ruby to
    match the other packages.

 -- Dafydd Harries <daf@muse.19inch.net>  Tue, 10 Feb 2004 15:10:47 +0000

ruby-gnome2 (0.8.1-7) unstable; urgency=low

  * debian/rules: Seems the example tarball wasn't such a great idea. Return
    to dh_installexamples and request forgiveness.
  * Moltes gràcies once again to Jordi Mallach.

 -- Dafydd Harries <daf@muse.19inch.net>  Tue, 10 Feb 2004 00:18:47 +0000

ruby-gnome2 (0.8.1-6) unstable; urgency=low

  * debian/rules: clean: Run dh_testroot.
  * debian/rules: clean: Call rm -f *-stamp early, as dictated by policy.
  * debian/rules: Automatically generate dependencies for build, install and
    binary-arch.
  * debian/rules: Add some more comments.
  * debian/rules: binary-*: Build tarballs of examples. Example files
    generally depend on each other, so it doesn't make sense to have them
    individually compressed.
  * debian/rules: clean: Remove example tarballs.
  * debian/control: Make the build dependency on libgda2-dev require >= 1.0.2.
  * debian/rules: clean: Automatically generate the list of directories to
    clean.
  * extconf.rb: Don't try and configure gtkglext.
  * debian/rules: clean: Don't try and clean gtkglext.
  * debian/rules: binary-*: Fix usage of dh_installchangelogs; install NEWS
    via dh_installdocs.
  * debian/rules: Put dependency on libpng-dev back in. (Necessity indicated
    by use of pbuilder.)

 -- Dafydd Harries <daf@muse.19inch.net>  Sun,  8 Feb 2004 05:12:05 +0000

ruby-gnome2 (0.8.1-5) unstable; urgency=low

  * debian/rules: Use dh_fixperms.
  * debian/rules: dh_fixperms doesn't touch examples, so manually change
    permissions of example files to 644.
  * Thanks again to Jordi Mallach.

 -- Dafydd Harries <daf@muse.19inch.net>  Wed, 28 Jan 2004 20:20:19 +0000

ruby-gnome2 (0.8.1-4) unstable; urgency=low

  * debian/control: Simplify Build-Depends.
  * Many thanks to Jordi Mallach.

 -- Dafydd Harries <daf@muse.19inch.net>  Mon, 26 Jan 2004 16:10:50 +0000

ruby-gnome2 (0.8.1-3) unstable; urgency=low

  * debian/control: Make libgtk2-ruby depend on libgdk-pixbuf2-ruby.
  * debian/rules: Redesign. Now smaller and tidier, and allows building
    individual packages easily.

 -- Dafydd Harries <daf@muse.19inch.net>  Sun, 18 Jan 2004 17:06:29 +0000

ruby-gnome2 (0.8.1-2) unstable; urgency=low

  * Remove "1.8" suffixes. I don't think they're necessary.
  * Don't try to build gtkglext.
  * Problems discovered while pbuilding:
  	- Build-Depend on ruby (>> 1.8) rather than ruby1.8
  	- Build-Depend on libpng-dev

 -- Dafydd Harries <daf@muse.19inch.net>  Tue, 13 Jan 2004 19:01:37 +0000

ruby-gnome2 (0.8.1-1) unstable; urgency=low

  * New upstream version.
  * New email address.
  * Use shlib:Depends.
  * Enable building libgda binding, as there's a new version of libgda2 which
    the binding now workds with.
  * Change the libglade binding's dependency on ruby1.8 to ruby (>> 1.8) in
    order to keep lintian happy.
  * Add ruby-gnome2 metapackage.
  * Use debian/compat instead of DH_COMPAT.
  * Comment out Gda::QuarkList#clear and Gda::Provider#model -- they're not
    defined in stable libgda yet.

 -- Dafydd Harries <daf@muse.19inch.net>  Thu,  8 Jan 2004 14:30:42 +0000

ruby-gnome2 (0.8.0-1) unstable; urgency=low

  * New upstream version.
  * The new libgda binding is disabled: it needs some code from CVS to build.
  * The gtkglext binding is disabled: rbogl has not been packaged yet.

 -- Dafydd Harries <daf@parnassus.ath.cx>  Mon, 17 Nov 2003 05:08:51 +0000

ruby-gnome2 (0.7.0-0.1) unstable; urgency=low

  * Initial Debianification.

 -- Dafydd Harries <daf@parnassus.ath.cx>  Thu, 13 Nov 2003 18:12:40 +0000

